Loading...
Searching...
No Matches
thrift_server_template< TserverBase, TserverClass, TImplClass > Class Template Reference

`#include <gnuradio/thrift_server_template.h>`

## Public Member Functions

| thrift_server_template (TImplClass *_this)
| ~thrift_server_template ()
Public Member Functions inherited from thrift_application_base< TserverBase, TImplClass >
| thrift_application_base (TImplClass *_app)
| ~thrift_application_base ()

## Protected Member Functions

TserverBase * | i_impl ()
Protected Member Functions inherited from thrift_application_base< TserverBase, TImplClass >
void | set_endpoint (const std::string &endpoint)

## Friends

class | thrift_application_base< TserverBase, TImplClass >

## Additional Inherited Members

Static Public Member Functions inherited from thrift_application_base< TserverBase, TImplClass >
static TserverBase * | i ()
static const std::vector< std::string > | endpoints ()
Protected Attributes inherited from thrift_application_base< TserverBase, TImplClass >
std::unique_ptr< apache::thrift::server::TServer > | d_thriftserver
gr::logger_ptr | d_logger
gr::logger_ptr | d_debug_logger
Static Protected Attributes inherited from thrift_application_base< TserverBase, TImplClass >
static TImplClass * | d_application
static const unsigned int | d_default_max_init_attempts
static const unsigned int | d_default_thrift_port
static const unsigned int | d_default_num_thrift_threads
static const unsigned int | d_default_thrift_buffer_size

## Constructor & Destructor Documentation

## thrift_server_template()

template<typename TserverBase, typename TserverClass, typename TImplClass>

thrift_server_template< TserverBase, TserverClass, TImplClass >::thrift_server_template | ( | TImplClass * | _this | ) |

References gr::prefs::add_config_file(), gr::configure_default_loggers(), thrift_application_base< TserverBase, TserverClass >::d_default_num_thrift_threads, thrift_application_base< TserverBase, TserverClass >::d_default_thrift_buffer_size, thrift_application_base< TserverBase, TserverClass >::d_default_thrift_port, thrift_application_base< TserverBase, TserverClass >::d_thriftserver, gr::prefs::get_long(), gr::prefs::get_string(), gr::prefs::singleton(), and thrift_application_base< TserverBase, TImplClass >::thrift_application_base().

## ~thrift_server_template()

template<typename TserverBase, typename TserverClass, typename TImplClass>

thrift_server_template< TserverBase, TserverClass, TImplClass >::~thrift_server_template | ( |  | ) |

## Member Function Documentation

## i_impl()

template<typename TserverBase, typename TserverClass, typename TImplClass>

TserverBase * thrift_server_template< TserverBase, TserverClass, TImplClass >::i_impl | ( |  | ) |

protected virtual

Implements thrift_application_base< TserverBase, TImplClass >.

## Friends And Related Symbol Documentation

## thrift_application_base< TserverBase, TImplClass >

template<typename TserverBase, typename TserverClass, typename TImplClass>

friend class thrift_application_base< TserverBase, TImplClass >

friend

The documentation for this class was generated from the following file:

- thrift_server_template.h